Bug 1431007 - qgis 2.18 doesn't install - qscintilla libraries need updating
Summary: qgis 2.18 doesn't install - qscintilla libraries need updating
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 07:19 UTC by M. Edward (Ed) Borasky
Modified: 2017-09-28 18:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-28 18:43:25 UTC


Attachments (Terms of Use)

Description M. Edward (Ed) Borasky 2017-03-10 07:19:52 UTC
Description of problem: QGIS can't be installed on Fedora 26


Version-Release number of selected component (if applicable): 2.18


How reproducible: happens every time


Steps to Reproduce:
1. Install Fedora 26 Workstation
2. `sudo dnf install qgis`


Actual results:
$ sudo dnf install qgis
Last metadata expiration check: 0:00:14 ago on Thu Mar 09 23:16:38 2017 PST.
Error: conflicting requests
  - nothing provides libqscintilla2.so.12 needed by qgis-2.18.2-4.fc26.i686
  - nothing provides libqscintilla2.so.12()(64bit) needed by qgis-2.18.2-4.fc26.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)
$ sudo dnf install qgis --allowerasing
Last metadata expiration check: 0:00:33 ago on Thu Mar 09 23:16:38 2017 PST.
Error: conflicting requests
  - nothing provides libqscintilla2.so.12 needed by qgis-2.18.2-4.fc26.i686
  - nothing provides libqscintilla2.so.12()(64bit) needed by qgis-2.18.2-4.fc26.x86_64



Expected results: QGIS installation


Additional info:

Comment 1 M. Edward (Ed) Borasky 2017-03-30 23:29:38 UTC
Can I propose fixing this as a blocker for beta? It's the only thing keeping the current F26 from running my daily workflow.

Comment 2 M. Edward (Ed) Borasky 2017-04-13 01:45:29 UTC
I just installed a Rawhide virtual machine and QGIS 2.18 installs on Rawhide but still doesn't on F26 alpha. So the libraries do exist. I'm currently running QGIS 2.18 on F25 from the COPR (https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/).

Comment 3 M. Edward (Ed) Borasky 2017-05-05 07:53:36 UTC
Still can't install QGIS on the latest "nominated for testing" compose - https://fedoraproject.org/wiki/Test_Results:Fedora_26_Branched_20170504.n.1_Installation

Comment 4 Fedora Update System 2017-06-30 07:37:48 UTC
grass-7.2.1-1.fc26 qgis-2.18.10-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1841919100

Comment 5 Fedora Update System 2017-06-30 07:38:01 UTC
grass-7.2.1-1.fc26 qgis-2.18.10-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1841919100

Comment 6 Fedora Update System 2017-06-30 20:25:13 UTC
grass-7.2.1-1.fc26, qgis-2.18.10-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1841919100

Comment 7 Fedora Update System 2017-07-23 03:54:40 UTC
grass-7.2.1-1.fc26, qgis-2.18.10-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.